---
title: '::-webkit-slider-runnable-track'
slug: 'Web/CSS/::-webkit-slider-runnable-track'
tags:
  - CSS
  - 'CSS:WebKit Extensions'
  - NeedsBrowserCompatibility
  - NeedsCompatTable
  - NeedsExample
  - NeedsMobileBrowserCompatibility
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<p>{{CSSRef}}{{Non-standard_Header}}</p>

<p>The <strong><code>::-webkit-slider-runnable-track</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> represents the "track" (the groove in which the indicator slides) of an <code style="white-space: nowrap;">{{HTMLElement("input/range", '&lt;input type="range"&gt;')}}</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-slider-runnable-track</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-slider-runnable-track")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("::-webkit-slider-thumb")}}</li>
 <li>Similar pseudo-elements used by other browsers:
  <ul>
   <li>{{CSSxRef("::-ms-track")}}</li>
   <li>{{CSSxRef("::-moz-range-track")}}</li>
  </ul>
 </li>
 <li><a href="https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/">CSS-Tricks: Styling Cross-Browser Compatible Range Inputs with CSS</a></li>
 <li><a href="http://www.quirksmode.org/blog/archives/2015/11/styling_and_scr.html">QuirksMode: Styling and scripting sliders</a></li>
</ul>
